//
//  CountryTableViewController.m
//  我我
//
//  Created by imac on 16/4/21.
//  Copyright © 2016年 imac. All rights reserved.
//

#import "CountryTableViewController.h"
#import "CountryTableViewCell.h"
@interface CountryTableViewController ()<UITableViewDelegate,UITabBarDelegate>
@property (nonatomic,retain)NSMutableDictionary *countryDict;
@property (nonatomic,retain)NSMutableArray *groupName;
@end 

@implementation CountryTableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"选择国家或地区";
    
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    //返回按钮
    UIButton *back = [UIButton buttonWithType:UIButtonTypeSystem];
    [back setFrame:CGRectMake(5, 2, 50, 20)];
    //[back setBackgroundImage:[UIImage imageNamed:@"pass.png"] forState:UIControlStateNormal];
    [back setTitle:@"返回" forState:UIControlStateNormal];
    [back addTarget:self action:@selector(passAction:) forControlEvents:UIControlEventTouchUpInside];
    UIBarButtonItem *backbarButton = [[UIBarButtonItem alloc] initWithCustomView:back];
    self.navigationItem.leftBarButtonItem = backbarButton;

    
    // 注册
    [self.tableView registerNib:[UINib nibWithNibName:@"CountryTableViewCell" bundle:nil] forCellReuseIdentifier:@"cell"];
    
    [self p_data];  // 获取数据
    
}

- (void)p_data
{
    NSString * filePath = [[NSBundle mainBundle]pathForResource:@"Citys" ofType:@"plist"];
    
    NSDictionary * dict = [NSDictionary dictionaryWithContentsOfFile:filePath];
    self.countryDict = [NSMutableDictionary dictionary];
    self.groupName = [NSMutableArray arrayWithObjects:@"热门",@"A",@"B",@"C",@"D",@"E",@"F",@"G",@"H",@"I",@"J",@"K",@"L",@"M",@"N",@"O",@"P",@"Q",@"R",@"S",@"T",@"U",@"V",@"Y",@"Z", nil];
    
    for (NSString * first in dict) {
        
        [self.countryDict setObject:[dict objectForKey:first] forKey:first];
        
    }
    
}

- (void)passAction:(UIButton *)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}


#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
//#warning Incomplete implementation, return the number of sections
    return _groupName.count;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
//#warning Incomplete implementation, return the number of rows
    return [[_countryDict objectForKey:_groupName[section]] count];
}


- (CountryTableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    CountryTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
    
    
    cell.CountryLable.text = [[_countryDict objectForKey:_groupName[indexPath.section]][indexPath.row] componentsSeparatedByString:@"-"][0];
    cell.quhaoLable.text = [NSString stringWithFormat:@"+%@",[[_countryDict objectForKey:_groupName[indexPath.section]][indexPath.row] componentsSeparatedByString:@"-"][1]];
    
    
    return cell;
}
// row高度
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 45;
}

// section 标题
- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    return _groupName[section];
}


- (NSArray *)sectionIndexTitlesForTableView:(UITableView *)tableView
{
    return @[@"热",@"A",@"B",@"C",@"D",@"E",@"F",@"G",@"H",@"I",@"J",@"K",@"L",@"M",@"N",@"O",@"P",@"Q",@"R",@"S",@"T",@"U",@"V",@"Y",@"Z",];
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}



/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    } else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath {
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath {
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
